from uuid import UUID

from pydantic import BaseModel, ConfigDict


class ScopeBaseSchema(BaseModel):
    name: str | None = None


class ScopeIdSchema(BaseModel):
    id: UUID

    model_config = ConfigDict(from_attributes=True)


class ScopeSchema(ScopeBaseSchema, ScopeIdSchema):
    pass
